<?php
class AddTabNameField extends CakeMigration {

/**
 * Migration description
 *
 * @var string
 */
	public $description = 'add_tab_name_field';

/**
 * Actions to be performed
 *
 * @var array $migration
 */
	public $migration = array(
		'up' => array(
			'create_field' => array(
				'ev_custom_fields_fields' => array(
					'tab_name' => array('type' => 'string', 'null' => true, 'default' => null, 'length' => 20, 'collate' => 'utf8mb4_unicode_ci', 'charset' => 'utf8mb4', 'after' => 'name'),
				),
			),
		),
		'down' => array(
			'drop_field' => array(
				'ev_custom_fields_fields' => array('tab_name'),
			),
		),
	);

/**
 * Before migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function before($direction) {
		return true;
	}

/**
 * After migration callback
 *
 * @param string $direction Direction of migration process (up or down)
 * @return bool Should process continue
 */
	public function after($direction) {
		return true;
	}
}
